List all payments

Lists payments.

You can also search and review payments in the Merchant Dashboard.

Related guide: Payment records

Query Parameters
  • customer
    Type: array string[]
  • Type: string

    Filter payments created from this Payment Link ID.

  • balance_account_id
    Type: string
  • start_date
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • end_date
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • status
    Type: array string[]
  • currency
    Type: array string[]
  • payment_method
    Type: array string[]
  • expand
    Type: array string[]

    Expand related objects inline. Currently supports customer.

  • operation
    Type: array string[]
  • limit
    Type: integer

    Integer numbers.

  • last_key
    Type: string

    Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • client_reference_id
    Type: string

    A free-form reference to identify the transaction in your system. This field will override other parameters except start and end dates.

  • amount
    Type: integer Format: int64

    Filter payments by exact amount in minor units.

  • amount_gt
    Type: integer Format: int64

    Filter payments with amount greater than this value, in minor units.

  • amount_gte
    Type: integer Format: int64

    Filter payments with amount greater than or equal to this value, in minor units.

  • amount_lt
    Type: integer Format: int64

    Filter payments with amount less than this value, in minor units.

  • amount_lte
    Type: integer Format: int64

    Filter payments with amount less than or equal to this value, in minor units.

  • id
    Type: string
  • livemode
    Type: boolean
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v2/payments
curl https://api.paypercut.io/v2/payments \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "created": "2026-07-28T08:24:41.401Z",
      "amount": 2000,
      "currency": {
        "iso": "usd",
        "scale": 2
      },
      "status": "failed",
      "metadata": {
        "additionalProperty": "string"
      },
      "balance_transaction": {
        "id": "string",
        "created": "2026-07-28T08:24:41.401Z",
        "amount": 1,
        "currency": {
          "iso": "usd",
          "scale": 2
        },
        "exchange_rate": null,
        "fee": 1,
        "net": 1
      },
      "formatted_amount": "20.00",
      "amount_captured": 1,
      "amount_refunded": 1,
      "latest_status": "succeeded",
      "captured": true,
      "updated": "2026-07-28T08:24:41.401Z",
      "outcome": {
        "network_decline_code": null,
        "network_status": null,
        "risk_score": 1,
        "seller_message": null,
        "type": "string"
      },
      "failure_code": null,
      "failure_message": null,
      "paid": true,
      "payment_method": "card",
      "payment_method_details": {
        "card": {
          "amount_authorized": null,
          "authorization_code": null,
          "authorization_type": null,
          "capture_before": null,
          "transaction_type": null,
          "brand": null,
          "country": null,
          "cardholder_name": null,
          "issuer": null,
          "funding": "string",
          "segment": "string",
          "exp_month": 1,
          "exp_year": 1,
          "last4": null,
          "network_transaction_id": null,
          "iin": "string",
          "three_d_secure": {
            "authentication_flow": null,
            "electronic_commerce_indicator": null,
            "result": null,
            "result_reason": null,
            "transaction_id": null,
            "exemption_indicator": null,
            "version": null
          },
          "wallet": {
            "type": "string"
          }
        }
      },
      "customer": "01K755J9SV2364REVHB915Z2FW",
      "payment_intent": "01K755J9SY55CS04SQ3JX1NX36",
      "checkout_id": null,
      "latest_operation": "capture",
      "refunded": true,
      "disputed": true,
      "fraud_details": {
        "response_state": "string",
        "fraud_score": 1
      },
      "client_reference_id": null,
      "statement_descriptor": null,
      "fee": 1,
      "fee_details": [
        {
          "amount": 1,
          "currency": {
            "iso": "usd",
            "scale": 2
          },
          "applied_amount": 1,
          "applied_amount_currency": {
            "iso": "usd",
            "scale": 2
          },
          "balance_account_id": null,
          "fixed_amount": 0.25,
          "rate": 1,
          "payer": "string",
          "payee": "string",
          "rule": "string",
          "exchange_rate": {
            "from_currency": {
              "iso": "usd",
              "scale": 2
            },
            "to_currency": {
              "iso": "usd",
              "scale": 2
            },
            "rate": 1,
            "reversed_rate": 1
          },
          "description": null,
          "type": "string"
        }
      ],
      "livemode": true
    }
  ],
  "last_key": "string"
}